Author: ranger
Date: Fri Jun 16 00:10:27 2006
New Revision: 119
URL:
<http://svn.finkproject.org/websvn/listing.php?sc=1&rev=119&repname=user%3a+ranger>
Log:
even better :)
Modified:
kde-admindir/trunk/build-helper.sh
Modified: kde-admindir/trunk/build-helper.sh
URL:
<http://svn.finkproject.org/websvn/diff.php?path=/kde-admindir/trunk/build-helper.sh&rev=119&repname=user%3a+ranger>
==============================================================================
--- kde-admindir/trunk/build-helper.sh (original)
+++ kde-admindir/trunk/build-helper.sh Fri Jun 16 00:10:27 2006
@@ -12,12 +12,11 @@
exit 0
fi
-if [ ! -w "$LOGDIR" ]; then
+mkdir -p "$LOGDIR" || :
+if [ ! -d "$LOGDIR" ] || [ ! -w "$LOGDIR" ]; then
"$@"
exit $?
fi
-
-mkdir -p "$LOGDIR"
check_for_failed() {
if [ -f "$LOGDIR/$NAME-$VERSION-$REVISION.failed" ]; then
_______________________________________________
Fink-commits mailing list
[email protected]
https://lists.sourceforge.net/lists/listinfo/fink-commits